List the payments that paid a consumer's rewards out to their bank account.
Returns, page by page, the bank wires that paid the consumer’s rewards out, most recent first by default, each with the rewards it settled. They can be filtered on their settlement status.
GET
/
perks
/
consumers
/
{consumer_id}
/
rewards
/
payments
List the payments that paid a consumer's rewards out to their bank account.
curl --request GET \
--url https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments \
--header 'Authorization: Bearer <token>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments"
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-version: <x-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-version", "<x-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments")
.header("x-api-version", "<x-api-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-version"] = '<x-api-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"amount": "120.50",
"created_at": "2026-07-15T10:30:00Z",
"end_to_end_id": "9e38fd69efa047169cab09b5dc33dcd5",
"executed_at": "2026-07-16T08:04:27Z",
"payout_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"psp_payout_id": "mp-payout-987",
"reward_count": 1,
"reward_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"status": "SUCCEEDED"
}
],
"meta": {
"page": 1,
"per_page": 50,
"total": 137
}
}{
"code": "PL-400-00",
"errors": [
{
"loc": [
"body",
"field"
],
"msg": "Field required",
"type": "missing"
}
],
"instance": "/path/of/the/request",
"status": 400,
"title": "Bad Request"
}{
"code": "PL-401-00",
"status": 401,
"title": "Unauthorized"
}{
"code": "PL-404-02",
"status": 404,
"title": "Consumer Not Enrolled"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Required string length:
2 - 100Pattern:
^[a-zA-Z0-9_-]+$Example:
"consumer-12345"
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 1000Sort field, prefixed by - for descending (e.g. -created_at).
Available options:
created_at, -created_at Example:
"-created_at"
Filter on one or several payment statuses.
Available options:
PENDING, SUCCEEDED, FAILED Example:
["SUCCEEDED", "FAILED"]
Was this page helpful?
⌘I
List the payments that paid a consumer's rewards out to their bank account.
curl --request GET \
--url https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments \
--header 'Authorization: Bearer <token>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments"
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-version: <x-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-version", "<x-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments")
.header("x-api-version", "<x-api-version>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/rewards/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-version"] = '<x-api-version>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"amount": "120.50",
"created_at": "2026-07-15T10:30:00Z",
"end_to_end_id": "9e38fd69efa047169cab09b5dc33dcd5",
"executed_at": "2026-07-16T08:04:27Z",
"payout_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"psp_payout_id": "mp-payout-987",
"reward_count": 1,
"reward_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"status": "SUCCEEDED"
}
],
"meta": {
"page": 1,
"per_page": 50,
"total": 137
}
}{
"code": "PL-400-00",
"errors": [
{
"loc": [
"body",
"field"
],
"msg": "Field required",
"type": "missing"
}
],
"instance": "/path/of/the/request",
"status": 400,
"title": "Bad Request"
}{
"code": "PL-401-00",
"status": 401,
"title": "Unauthorized"
}{
"code": "PL-404-02",
"status": 404,
"title": "Consumer Not Enrolled"
}